<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class MonyType extends Model
{
    use HasFactory;
    use SoftDeletes;

    protected $guarded = [];

    protected $fillable = ['name'];

    public function monyImports()
    {
        return $this->hasMany(MonyImport::class);
    }

    public function monyExports()
    {
        return $this->hasMany(MonyExport::class);
    }
}
